---
title: '`glab variable`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Manage variables for a GitLab project or group.

## Synopsis

Variables store configuration and secrets used by CI/CD pipelines.

Each subcommand acts on the current project by default. Use
`--group` to manage a group's variables instead.

## Aliases

```plaintext
var
```

## Options

```plaintext
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`delete`](delete.md)
- [`export`](export.md)
- [`get`](get.md)
- [`import`](import.md)
- [`list`](list.md)
- [`set`](set.md)
- [`update`](update.md)
